/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#ifndef ___CODE_METHOD_H___
#define ___CODE_METHOD_H___

#include	"long_char.h"

L_CHAR hankaku2zenkaku(unsigned char ch);

void jis_unicode2local(WCT * w);
void jis_convert(WCT * w,int bitmap);
void jis_local2unicode(WCT * w);
void jis_setup_unicode(WCT * w);
void set_latin_own(WCT * w,
	int bitmap,
	int bm_mask,
	L_CHAR lcz,
	L_CHAR lczm);
void set_basic_latin(WCT * w,
	int bitmap,
	int bm_mask,
	L_CHAR lcz,
	L_CHAR lczm);


#endif
